/* css/custom-props/_elixir.css */
:root {
  --main: hsl(250, 68%, 69%);
  --mainDark: hsl(250, 68%, 59%);
  --mainDarkest: hsl(250, 68%, 49%);
  --mainLight: hsl(250, 68%, 74%);
  --mainLightest: hsl(250, 68%, 79%);
  --searchBarFocusColor: #8E7CE6;
  --searchBarBorderColor: rgba(142, 124, 230, .25);
  --link-color: var(--mainDark);
  --link-visited-color: var(--mainDarkest);
}
body.dark {
  --link-color: var(--mainLightest);
  --link-visited-color: var(--mainLight);
}

/* css/custom-props/common.css */
:root {
  --content-width: 949px;
  --content-gutter: 60px;
  --borderRadius-lg: 14px;
  --borderRadius-base: 8px;
  --borderRadius-sm: 3px;
  --navTabBorderWidth: 2px;
  --sansFontFamily:
    "Lato",
    system-ui,
    Segoe UI,
    Roboto,
    Helvetica,
    Arial,
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji";
  --monoFontFamily:
    ui-monospace,
    SFMono-Regular,
    Consolas,
    Liberation Mono,
    Menlo,
    monospace;
  --baseLineHeight: 1.5em;
  --gray10: hsl(207, 43%, 98.5%);
  --gray25: hsl(207, 43%, 98%);
  --gray50: hsl(207, 43%, 96%);
  --gray100: hsl(212, 33%, 91%);
  --gray200: hsl(210, 29%, 88%);
  --gray300: hsl(210, 26%, 76%);
  --gray400: hsl(210, 21%, 64%);
  --gray450: hsl(210, 21%, 49%);
  --gray500: hsl(210, 21%, 34%);
  --gray600: hsl(210, 27%, 26%);
  --gray650: hsl(211, 32%, 22%);
  --gray700: hsl(212, 35%, 17%);
  --gray750: hsl(214, 46%, 14%);
  --gray800: hsl(216, 52%, 11%);
  --gray800-opacity-0: hsla(216, 52%, 11%, 0%);
  --gray850: hsl(216, 63%, 8%);
  --gray900: hsl(218, 73%, 4%);
  --gray900-opacity-50: hsla(218, 73%, 4%, 50%);
  --gray900-opacity-0: hsla(218, 73%, 4%, 0%);
  --coldGrayFaint: hsl(240, 5%, 97%);
  --coldGrayLight: hsl(240, 5%, 88%);
  --coldGray-lightened-10: hsl(240, 5%, 56%);
  --coldGray: hsl(240, 5%, 46%);
  --coldGray-opacity-10: hsla(240, 5%, 46%, 10%);
  --coldGrayDark: hsl(240, 5%, 28%);
  --coldGrayDim: hsl(240, 5%, 18%);
  --yellowLight: hsl(43, 100%, 95%);
  --yellowDark: hsl(44, 100%, 15%);
  --yellow: hsl(60, 100%, 43%);
  --green-lightened-10: hsl(90, 100%, 45%);
  --green: hsl(90, 100%, 35%);
  --white: hsl(0, 0%, 100%);
  --white-opacity-80: hsla(0, 0%, 100%, 80%);
  --white-opacity-50: hsla(0, 0%, 100%, 50%);
  --white-opacity-10: hsla(0, 0%, 100%, 10%);
  --white-opacity-0: hsla(0, 0%, 100%, 0%);
  --black: hsl(0, 0%, 0%);
  --black-opacity-80: hsla(0, 0%, 0%, 80%);
  --black-opacity-50: hsla(0, 0%, 0%, 50%);
  --black-opacity-30: hsla(0, 0%, 0%, 30%);
  --black-opacity-10: hsla(0, 0%, 0%, 10%);
  --black-opacity-0: hsla(0, 0%, 0%, 10%);
  --orangeDark: hsl(30, 90%, 40%);
  --orangeLight: hsl(30, 80%, 50%);
  --text-xs: .75rem;
  --text-sm: .875rem;
  --text-md: 1rem;
  --text-lg: 1.125rem;
  --text-xl: 1.25rem;
  --transition-duration: .15s;
  --transition-timing: cubic-bezier(.4, 0, .2, 1);
  --transition-all: all var(--transition-duration) var(--transition-timing);
  --transition-colors:
    color var(--transition-duration) var(--transition-timing),
    background-color var(--transition-duration) var(--transition-timing),
    border-color var(--transition-duration) var(--transition-timing),
    text-decoration-color var(--transition-duration) var(--transition-timing),
    fill var(--transition-duration) var(--transition-timing),
    stroke var(--transition-duration) var(--transition-timing);
  --transition-opacity: opacity var(--transition-duration) var(--transition-timing);
}
@media screen and (max-width: 768px) {
  :root {
    --content-width: 100%;
    --content-gutter: 20px;
  }
}
option {
  background-color: var(--sidebarBackground);
}

/* css/custom-props/theme-light.css */
:root {
  --background: var(--white);
  --contrast: var(--black);
  --textBody: var(--gray800);
  --textHeaders: var(--gray900);
  --textDetailAccent: var(--mainLight);
  --textDetailBackground: var(--coldGrayFaint);
  --iconAction: var(--coldGray);
  --iconActionHover: var(--gray800);
  --blockquoteBackground: var(--coldGrayFaint);
  --blockquoteBorder: var(--coldGrayLight);
  --tableHeadBorder: var(--gray100);
  --tableBodyBorder: var(--gray50);
  --warningHue: 34;
  --errorHue: 7;
  --infoHue: 206;
  --neutralHue: 212;
  --tipHue: 142;
  --admMixCol: var(--gray100);
  --admMixAmt: 25%;
  --warningBackground: color-mix(in xyz, var(--admMixCol) var(--admMixAmt), hsl(var(--warningHue), 100%, 96%) 100%);
  --warningHeading: hsl(var(--warningHue), 95%, 38%);
  --errorBackground: color-mix(in xyz, var(--admMixCol) var(--admMixAmt), hsl(var(--errorHue), 85%, 96%) 100%);
  --errorHeading: hsl(var(--errorHue), 80%, 40%);
  --infoBackground: color-mix(in xyz, var(--admMixCol) var(--admMixAmt), hsl(var(--infoHue), 90%, 96%) 100%);
  --infoHeading: hsl(var(--infoHue), 60%, 30%);
  --neutralBackground: color-mix(in xyz, var(--admMixCol) var(--admMixAmt), hsl(var(--neutralHue), 40%, 93%) 100%);
  --neutralHeading: hsl(var(--neutralHue), 35%, 30%);
  --tipBackground: color-mix(in xyz, var(--admMixCol) var(--admMixAmt), hsl(var(--tipHue), 40%, 93%) 100%);
  --tipHeading: hsl(var(--tipHue), 55%, 25%);
  --fnSpecAttr: var(--coldGray);
  --fnDeprecated: var(--yellowLight);
  --blink: var(--yellowLight);
  --codeBackground: var(--gray10);
  --codeBorder: var(--gray100);
  --codeScrollThumb: var(--gray400);
  --codeScrollBackground: var(--codeBorder);
  --admCodeBackground: var(--white-opacity-80);
  --admCodeBorder: var(--black-opacity-10);
  --admCodeColor: var(--black);
  --tabBorder: var(--gray300);
  --tabBorderTop: var(--gray100);
  --tabShadow: var(--gray25);
  --bottomActionsBtnBorder: var(--black-opacity-10);
  --bottomActionsBtnTitle: var(--mainDark);
  --modalBackground: var(--white);
  --settingsInput: var(--gray500);
  --settingsInputBackground: var(--white);
  --settingsInputBorder: var(--gray300);
  --settingsSectionBorder: var(--gray300);
  --quickSwitchInput: var(--gray500);
  --quickSwitchContour: var(--coldGray);
  --success: var(--green);
  --progressBarColor: var(--gray400);
  --sidebarAccentMain: var(--black);
  --sidebarBackground: var(--gray50);
  --sidebarHeader: var(--gray100);
  --sidebarMuted: var(--gray800);
  --sidebarHover: var(--black);
  --sidebarStaleVersion: var(--orangeDark);
  --sidebarSubheadings: var(--gray500);
  --sidebarItem: var(--black);
  --sidebarInactiveItemBorder: var(--gray500);
  --sidebarInactiveItemMarker: var(--gray200);
  --sidebarLanguageAccentBar: var(--mainDark);
  --sidebarActiveItem: var(--mainDarkest);
  --searchBarBorder: var(--gray200);
  --searchAccentMain: var(--gray600);
  --searchLanguageAccentBar: var(--main);
  --searchSearch: var(--white);
  --autocompleteBorder: rgba(3, 9, 19, .1);
  --autocompletePreview: var(--gray25);
  --autocompleteSelected: var(--gray25);
  --autocompleteHover: var(--gray50);
  --autocompleteBackground: var(--white);
  --suggestionBorder: var(--gray200);
  --autocompleteResults: var(--gray600);
  --autocompleteResultsBold: var(--gray800);
  --autocompleteLabelBack: var(--gray100);
  --autocompleteLabelFont: var(--gray600);
}

/* css/content/epub-admonition.css */
.content-inner section.admonition {
  border-left: solid 4px;
  color: var(--black);
  font-size: .9em;
  line-height: 1.4em;
  margin-bottom: 1.5em;
  margin-left: 5px;
  padding: 7px 15px;
  page-break-inside: avoid;
}
.content-inner section.admonition.warning {
  background-color: var(--warningBackground);
  border-left-color: var(--warningHeading);
}
.content-inner section.admonition.error {
  background-color: var(--errorBackground);
  border-left-color: var(--errorHeading);
}
.content-inner section.admonition.info {
  background-color: var(--infoBackground);
  border-left-color: var(--infoHeading);
}
.content-inner section.admonition.neutral {
  background-color: var(--neutralBackground);
  border-left-color: var(--neutralHeading);
}
.content-inner section.admonition.tip {
  background-color: var(--tipBackground);
  border-left-color: var(--tipHeading);
}
.content-inner section.admonition > .admonition-title {
  margin: 0 10px 5px 0;
  font-style: normal;
  font-weight: 700;
}
.content-inner section.admonition > .admonition-title.warning {
  color: var(--warningHeading);
}
.content-inner section.admonition > .admonition-title.error {
  color: var(--errorHeading);
}
.content-inner section.admonition > .admonition-title.info {
  color: var(--infoHeading);
}
.content-inner section.admonition > .admonition-title.neutral {
  color: var(--neutralHeading);
}
.content-inner section.admonition > .admonition-title.tip {
  color: var(--tipHeading);
}
.content-inner section.admonition > .admonition-title code {
  margin: 0 .5ch;
}

/* css/content/code.css */
@font-face {
  font-family: Consolas;
  src: local("Consolas");
  size-adjust: 110%;
}
.content-inner.content-inner :is(a:has(code, img), pre a) {
  color: var(--link-color);
  text-shadow: none;
  text-decoration: none;
  background-image: none;
}
.content-inner.content-inner :is(a:has(code, img), pre a):is(:visited, :active, :focus, :hover) {
  color: var(--link-visited-color);
}
.content-inner strong > code {
  font-weight: 700;
}
.content-inner code {
  font-family: var(--monoFontFamily);
  font-style: normal;
  line-height: 24px;
  font-weight: 400;
  font-size: var(--text-sm);
  background-color: var(--codeBackground);
  vertical-align: baseline;
  border-radius: var(--borderRadius-sm);
  padding: .1em .2em;
  border: 1px solid var(--codeBorder);
  text-transform: none;
}
.content-inner code.inline {
  border-radius: var(--borderRadius-sm);
  word-wrap: break-word;
}
.content-inner pre {
  margin: var(--baseLineHeight) 0;
}
.content-inner pre code {
  display: block;
  overflow-x: auto;
  white-space: inherit;
  padding: 1em;
  scrollbar-width: thin;
}
.content-inner pre code.output {
  margin: 0 12px;
  max-height: 400px;
  overflow: auto;
}
.content-inner pre code.output + .copy-button {
  margin-right: 12px;
}
.content-inner pre code.output:before {
  content: "Output";
  display: block;
  position: absolute;
  top: -16px;
  left: 12px;
  padding: 2px 4px;
  font-size: var(--text-xs);
  font-family: var(--monoFontFamily);
  line-height: 1;
  color: var(--textHeaders);
  background-color: var(--codeBackground);
  border: 1px solid var(--codeBorder);
  border-bottom: 0;
  border-radius: 2px;
}
@media screen and (max-width: 768px) {
  .content-inner > pre:has(code),
  .content-inner section > pre:has(code) {
    margin-left: calc(-1 * var(--content-gutter));
    margin-right: calc(-1 * var(--content-gutter));
  }
  .content-inner > pre code,
  .content-inner section > pre code {
    padding-left: var(--content-gutter);
    padding-right: var(--content-gutter);
    border-radius: 0;
    border-left-width: 0;
    border-right-width: 0;
  }
}

/* css/content/functions.css */
@keyframes blink-background {
  0%, to {
    background-color: var(--textDetailBackground);
  }
  50% {
    background-color: var(--blink);
  }
}
.content-inner .detail:target .detail-header {
  animation-duration: .55s;
  animation-name: blink-background;
  animation-iteration-count: 1;
  animation-timing-function: ease-in-out;
}
.content-inner .detail-header {
  margin: 1em 0;
  padding: .5em .85em .5em 1em;
  background-color: var(--textDetailBackground);
  border-left: 3px solid var(--textDetailAccent);
  font-size: 1em;
  font-family: var(--monoFontFamily);
  position: relative;
}
.content-inner .detail-header .signature {
  font-family: var(--monoFontFamily);
  font-weight: 700;
  font-size: 13px !important;
  line-height: 2em !important;
  margin: 0 !important;
}
.content-inner .detail-header:hover a.detail-link,
.content-inner .detail-header a.detail-link:focus {
  opacity: 1;
  text-decoration: none;
}
.content-inner .detail-header a.detail-link {
  transition: var(--transition-opacity);
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  opacity: 0;
  padding: .6em;
  line-height: 1.5em;
  margin-left: -2.5em;
  text-decoration: none;
  border: none;
}
@media screen and (max-width: 768px) {
  .content-inner .detail-header a.detail-link {
    margin-left: -30px;
  }
}
.content-inner .specs pre {
  font-family: var(--monoFontFamily);
  font-size: var(--text-xs);
  font-style: normal;
  line-height: 24px;
  white-space: pre-wrap;
  margin: 0;
  padding: 0;
}
.content-inner .specs .attribute {
  color: var(--fnSpecAttr);
}
.content-inner .docstring {
  margin: 1.2em 0 3em 1.2em;
}
@media screen and (max-width: 768px) {
  .content-inner .docstring {
    margin-left: 0;
  }
}
.content-inner .docstring:is(h2, h3, h4, h5) {
  font-weight: 700;
}
.content-inner .docstring h2 {
  font-size: 1.1em;
}
.content-inner .docstring h3 {
  font-size: 1em;
}
.content-inner .docstring h4 {
  font-size: .95em;
}
.content-inner .docstring h5 {
  font-size: .9em;
}
.content-inner div.deprecated {
  display: block;
  padding: 1em;
  background-color: var(--fnDeprecated);
  border-radius: var(--borderRadius-sm);
  margin: var(--baseLineHeight) 0;
}

/* css/screen-reader.css */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
  user-select: none;
}

/* css/makeup.css */
code.makeup .unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.makeup .hll {
  background-color: #ffc;
}
.makeup .bp {
  color: #3465a4;
}
.makeup .c,
.makeup .c1,
.makeup .ch,
.makeup .cm,
.makeup .cp,
.makeup .cpf,
.makeup .cs {
  color: #4d4d4d;
}
.makeup .dl {
  color: #408200;
}
.makeup .err {
  color: #a40000;
  border: #ef2929;
}
.makeup .fm,
.makeup .g {
  color: #4d4d4c;
}
.makeup .gd {
  color: #a40000;
}
.makeup .ge {
  color: #4d4d4c;
  font-style: italic;
}
.makeup .gh {
  color: navy;
  font-weight: 700;
}
.makeup .gi {
  color: #00a000;
}
.makeup .go {
  color: #4d4d4c;
  font-style: italic;
}
.makeup .gp {
  color: #4d4d4d;
}
.makeup .gr {
  color: #ef2929;
}
.makeup .gs {
  color: #4d4d4c;
  font-weight: 700;
}
.makeup .gt {
  color: #a40000;
  font-weight: 700;
}
.makeup .gu {
  color: purple;
  font-weight: 700;
}
.makeup .il {
  color: #0000cf;
  font-weight: 700;
}
.makeup .k,
.makeup .kc,
.makeup .kd,
.makeup .kn,
.makeup .kp,
.makeup .kr,
.makeup .kt {
  color: #204a87;
}
.makeup .l {
  color: #4d4d4c;
}
.makeup .ld {
  color: #c00;
}
.makeup .m,
.makeup .mb,
.makeup .mf,
.makeup .mh,
.makeup .mi,
.makeup .mo {
  color: #2937ab;
}
.makeup .n {
  color: #4d4d4c;
}
.makeup .na {
  color: #8a7000;
}
.makeup .nb {
  color: #204a87;
}
.makeup .nc {
  color: #0000cf;
}
.makeup .nd {
  color: #5c35cc;
  font-weight: 700;
}
.makeup .ne {
  color: #c00;
  font-weight: 700;
}
.makeup .nf {
  color: #b65800;
}
.makeup .ni {
  color: #bc5400;
}
.makeup .nl {
  color: #b65800;
}
.makeup .nn {
  color: #4d4d4c;
}
.makeup .no {
  color: #a06600;
}
.makeup .nt {
  color: #204a87;
  font-weight: 700;
}
.makeup .nv,
.makeup .nx {
  color: #4d4d4c;
}
.makeup .o {
  color: #bc5400;
}
.makeup .ow {
  color: #204a87;
}
.makeup .p,
.makeup .py {
  color: #4d4d4c;
}
.makeup .s,
.makeup .s1,
.makeup .s2,
.makeup .sa,
.makeup .sb,
.makeup .sc {
  color: #408200;
}
.makeup .sd {
  color: #8f5902;
  font-style: italic;
}
.makeup .se {
  color: #204a87;
}
.makeup .sh {
  color: #408200;
}
.makeup .si {
  color: #204a87;
}
.makeup .sr {
  color: #c00;
}
.makeup .ss {
  color: #a06600;
}
.makeup .sx {
  color: #408200;
}
.makeup .vc,
.makeup .vg,
.makeup .vi,
.makeup .vm,
.makeup .x {
  color: #4d4d4c;
}
.dark .makeup {
  color: #dce1e6;
}
.dark .makeup .hll {
  background-color: #49483e;
}
.dark .makeup .bp {
  color: #dce1e6;
}
.dark .makeup .c,
.dark .makeup .c1,
.dark .makeup .ch,
.dark .makeup .cm,
.dark .makeup .cp,
.dark .makeup .cpf,
.dark .makeup .cs {
  color: #969386;
}
.dark .makeup .dl {
  color: #e6db74;
}
.dark .makeup .err {
  color: #960050;
  background-color: #1e0010;
}
.dark .makeup .fm {
  color: #a6e22e;
}
.dark .makeup .gd {
  color: #ff5385;
}
.dark .makeup .ge {
  font-style: italic;
}
.dark .makeup .gi {
  color: #a6e22e;
}
.dark .makeup .gp {
  color: #969386;
}
.dark .makeup .gs {
  font-weight: 700;
}
.dark .makeup .gu {
  color: #969386;
}
.dark .makeup .gt {
  color: #ff5385;
  font-weight: 700;
}
.dark .makeup .il {
  color: #ae81ff;
}
.dark .makeup .k,
.dark .makeup .kc,
.dark .makeup .kd {
  color: #66d9ef;
}
.dark .makeup .kn {
  color: #ff5385;
}
.dark .makeup .kp,
.dark .makeup .kr,
.dark .makeup .kt {
  color: #66d9ef;
}
.dark .makeup .l,
.dark .makeup .ld,
.dark .makeup .m,
.dark .makeup .mb,
.dark .makeup .mf,
.dark .makeup .mh,
.dark .makeup .mi,
.dark .makeup .mo {
  color: #ae81ff;
}
.dark .makeup .n {
  color: #dce1e6;
}
.dark .makeup .na {
  color: #a6e22e;
}
.dark .makeup .nb {
  color: #dce1e6;
}
.dark .makeup .nc,
.dark .makeup .nd,
.dark .makeup .ne,
.dark .makeup .nf {
  color: #a6e22e;
}
.dark .makeup .ni,
.dark .makeup .nl,
.dark .makeup .nn {
  color: #dce1e6;
}
.dark .makeup .no {
  color: #66d9ef;
}
.dark .makeup .nt {
  color: #ff5385;
}
.dark .makeup .nv {
  color: #dce1e6;
}
.dark .makeup .nx {
  color: #a6e22e;
}
.dark .makeup .o,
.dark .makeup .ow {
  color: #ff5385;
}
.dark .makeup .p,
.dark .makeup .py {
  color: #dce1e6;
}
.dark .makeup .s,
.dark .makeup .s1,
.dark .makeup .s2,
.dark .makeup .sa,
.dark .makeup .sb,
.dark .makeup .sc,
.dark .makeup .sd {
  color: #e6db74;
}
.dark .makeup .se {
  color: #ae81ff;
}
.dark .makeup .sh,
.dark .makeup .si,
.dark .makeup .sr,
.dark .makeup .ss,
.dark .makeup .sx {
  color: #e6db74;
}
.dark .makeup .vc,
.dark .makeup .vg,
.dark .makeup .vi,
.dark .makeup .vm {
  color: #dce1e6;
}

/* css/_epub.css */
body {
  display: block;
  font-size: 1em;
  line-height: 1.2;
  padding-left: 0;
  padding-right: 0;
  margin: 0 5pt;
}
nav > ol {
  list-style-type: square;
}
nav > ol ol {
  list-style-type: disc;
}
.title-container {
  text-align: center;
}
img[src*="#gh-dark-mode-only"] {
  display: none;
}

/* css/entry/epub-elixir.css */
